set REALM=realm.test
set LDAPSERVER=server.realm.test
set FILESERVER=fileserver.realm.test
set MACHINEPASSWORD=password

ksetup /setdomain %REALM%
ksetup /addkdc %REALM% %LDAPSERVER%
ksetup /setcomputerpassword %MACHINEPASSWORD%
ksetup /mapuser * *

copy sspap3.dll C:\Windows\System32\
mkdir C:\logon
copy \\%FILESERVER%\common\localstartup.bat C:\logon\

regedit /S scap_base.reg
regedit /S scap_lsa_win8
regedit /S scap_roaming_profiles
regedit /S scap_winlogon

net share netlogon=C:\logon

REM Install LDAP certificate
REM This is not needed for most users and workstations
REM copy \\%FILESERVER%\common\%LDAPSERVER%.ldap.crt C:\logon\ldap.crt
REM certmgr.exe -add -c "C:\logon\ldap.crt" -s -r localMachine root

REM Install print server certificate
copy \\%FILESERVER%\common\%PRINTSERVER%.cups.crt C:\logon\print.crt
certmgr.exe -add -c "C:\logon\print.crt" -s -r localMachine root

REM Install printer(s)
REM This is apparently broken on Windows 7 and up!
REM rundll32 printui.dll,PrintUIEntry /b "PrinterName" /x /n "part of the n switch" /if /f %windir%\inf\ntprint.inf /r "https://%PRINTSERVER%:631/printers/printername" /m "Printer Description"
